Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rabbitmq.client
Interface AMQP

All Known Implementing Classes:
  AMQImpl

    public interface AMQP

Nested Class Summary
`static class` | `AMQP.Access`
`static class` | `AMQP.Basic`
`static class` | `AMQP.BasicProperties`
`static class` | `AMQP.Channel`
`static class` | `AMQP.Confirm`
`static class` | `AMQP.Connection`
`static class` | `AMQP.Exchange`
`static class` | `AMQP.PROTOCOL`
`static class` | `AMQP.Queue`
`static class` | `AMQP.Tx`

Field Summary
`static int` | `ACCESS_REFUSED`
`static int` | `CHANNEL_ERROR`
`static int` | `COMMAND_INVALID`
`static int` | `CONNECTION_FORCED`
`static int` | `CONTENT_TOO_LARGE`
`static int` | `FRAME_BODY`
`static int` | `FRAME_END`
`static int` | `FRAME_ERROR`
`static int` | `FRAME_HEADER`
`static int` | `FRAME_HEARTBEAT`
`static int` | `FRAME_METHOD`
`static int` | `FRAME_MIN_SIZE`
`static int` | `INTERNAL_ERROR`
`static int` | `INVALID_PATH`
`static int` | `NO_CONSUMERS`
`static int` | `NO_ROUTE`
`static int` | `NOT_ALLOWED`
`static int` | `NOT_FOUND`
`static int` | `NOT_IMPLEMENTED`
`static int` | `PRECONDITION_FAILED`
`static int` | `REPLY_SUCCESS`
`static int` | `RESOURCE_ERROR`
`static int` | `RESOURCE_LOCKED`
`static int` | `SYNTAX_ERROR`
`static int` | `UNEXPECTED_FRAME`

Field Detail

### FRAME_METHOD

    static final int FRAME_METHOD

See Also:
  Constant Field Values

### FRAME_HEADER

    static final int FRAME_HEADER

See Also:
  Constant Field Values

### FRAME_BODY

    static final int FRAME_BODY

See Also:
  Constant Field Values

### FRAME_HEARTBEAT

    static final int FRAME_HEARTBEAT

See Also:
  Constant Field Values

### FRAME_MIN_SIZE

    static final int FRAME_MIN_SIZE

See Also:
  Constant Field Values

### FRAME_END

    static final int FRAME_END

See Also:
  Constant Field Values

### REPLY_SUCCESS

    static final int REPLY_SUCCESS

See Also:
  Constant Field Values

### CONTENT_TOO_LARGE

    static final int CONTENT_TOO_LARGE

See Also:
  Constant Field Values

### NO_ROUTE

    static final int NO_ROUTE

See Also:
  Constant Field Values

### NO_CONSUMERS

    static final int NO_CONSUMERS

See Also:
  Constant Field Values

### ACCESS_REFUSED

    static final int ACCESS_REFUSED

See Also:
  Constant Field Values

### NOT_FOUND

    static final int NOT_FOUND

See Also:
  Constant Field Values

### RESOURCE_LOCKED

    static final int RESOURCE_LOCKED

See Also:
  Constant Field Values

### PRECONDITION_FAILED

    static final int PRECONDITION_FAILED

See Also:
  Constant Field Values

### CONNECTION_FORCED

    static final int CONNECTION_FORCED

See Also:
  Constant Field Values

### INVALID_PATH

    static final int INVALID_PATH

See Also:
  Constant Field Values

### FRAME_ERROR

    static final int FRAME_ERROR

See Also:
  Constant Field Values

### SYNTAX_ERROR

    static final int SYNTAX_ERROR

See Also:
  Constant Field Values

### COMMAND_INVALID

    static final int COMMAND_INVALID

See Also:
  Constant Field Values

### CHANNEL_ERROR

    static final int CHANNEL_ERROR

See Also:
  Constant Field Values

### UNEXPECTED_FRAME

    static final int UNEXPECTED_FRAME

See Also:
  Constant Field Values

### RESOURCE_ERROR

    static final int RESOURCE_ERROR

See Also:
  Constant Field Values

### NOT_ALLOWED

    static final int NOT_ALLOWED

See Also:
  Constant Field Values

### NOT_IMPLEMENTED

    static final int NOT_IMPLEMENTED

See Also:
  Constant Field Values

### INTERNAL_ERROR

    static final int INTERNAL_ERROR

See Also:
  Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD